#!/bin/bash

# -v1 : You can also have marginal probabilities for each tag (a kind of confidence
# measure for each output tag) and a conditional probably for the output (confidence 
# measure for the entire output).

# -v2 : You can also have marginal probabilities for all other candidates. 


for i in `seq 0 9`
do
  echo "FOLD: "$i
  testing_file="testing.fold_"$i".crfpp.txt"
  model_file="model.fold_"$i".crfpp"
  output_result_file="results.fold_"$i".crfpp.txt"
  crf_test -v2 -m "$model_file" -o "$output_result_file" "$testing_file"
done

